u-boot (2025.10-0ubuntu0.25.10.1) questing; urgency=medium

  [ Heinrich Schuchardt ]
  * New upstream release
    - Refreshed patches:
      - d/p/rpi-config-tweaks.patch
      - d/p/qemu/efi-secure-boot.patch
      - d/p/sitara/Don-t-attempt-to-build-final-firmware-images.patch
    - Updated d/copyright to remove redundant patterns and fix lintian
      notices
  * Removed patches obsoleted/merged by upstream:
    - d/p/riscv64/starfive/*
    - d/p/riscv64/star64/*
    - d/p/riscv64/mpfs-icicle-kit_fdtfile.patch
    - d/p/use-cryptographically-safe-RNG.patch
  * Added patches to support for StarFive VisionFive Lite and Milk-V Mars CM
    (LP: #2121690):
    - d/p/riscv64/starfive/0001-riscv-dts-starfive-prune-redundant-jh7110-common-ove.patch
    - d/p/riscv64/starfive/0002-riscv-dts-starfive-sync-visionfive2-overrides-with-u.patch
    - d/p/riscv64/starfive/0003-riscv-dts-starfive-visionfive2-depend-on-SYS_CPU-aut.patch
    - d/p/riscv64/starfive/0004-configs-starfive-Use-visionfive2-DEVICE_TREE_INCLUDE.patch
    - d/p/riscv64/starfive/0005-starfive-avoid-NULL-dereference-in-fdt_check_header.patch
    - d/p/riscv64/starfive/0006-eeprom-starfive-Simplify-get_ddr_size_from_eeprom.patch
    - d/p/riscv64/starfive/0007-eeprom-starfive-Correct-get_pcb_revision_from_eeprom.patch
    - d/p/riscv64/starfive/0008-eeprom-starfive-Support-eeprom-data-format-v3.patch
    - d/p/riscv64/starfive/0009-pcie-starfive-Add-a-optional-power-gpio-support.patch
    - d/p/riscv64/starfive/0010-configs-visionfive2-Add-VisionFive-2-Lite-DT-to-OF_L.patch
    - d/p/riscv64/starfive/0011-board-starfive-spl-Support-VisionFive-2-Lite.patch
    - d/p/riscv64/starfive/0012-board-starfive-visionfive2-Add-VisionFive-2-Lite-fdt.patch
    - d/p/riscv64/starfive/0013-riscv-dts-starfive-prune-redundant-jh7110-overrides.patch
    - d/p/riscv64/starfive/0014-board-starfive-visionfive2-Add-Milk-V-Mars-CM-and-Ma.patch
    - d/p/riscv64/starfive/0015-configs-starfive-Add-Milk-V-Mars-CM-and-Mars-CM-Lite.patch
    - d/p/riscv64/starfive/0016-Update-device-trees-from-Linux.patch
    - d/p/riscv64/starfive/0017-starfive-add-bootph-pre-ram-to-MMC1-clk-pins.patch
    - d/p/riscv64/starfive/0018-starfive-add-starfive-jh7110-compatible-property-val.patch

  [ Dave Jones ]
  * d/p/rpi-squashfs.patch: Enable squashfs support on rpi and amd64/arm64
    QEMU builds for internal image testing (LP: #2091618)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 19 Nov 2025 18:26:40 +0100

u-boot (2025.01-3ubuntu4) questing; urgency=medium

  [ Ravi Kant Sharma ]
  * d/targets.mk: Remove MIPS builds to fix FTBFS in questing (LP: #2125628)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 30 Sep 2025 11:18:03 +0100

u-boot (2025.01-3ubuntu3) questing; urgency=medium

  * d/p/ubuntu-hardening-limit-keynames-to-keydir.patch: Fix NULL dereference
    in lib/rsa/rsa-sign.c when calling mkimage with -G (LP: #2046462)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 24 Sep 2025 12:48:43 +0100

u-boot (2025.01-3ubuntu2) questing; urgency=medium

  * Handle rename of u-boot-amlogic to u-boot-amlogic-binaries properly
    (LP: #2119049)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 29 Jul 2025 21:26:51 +0100

u-boot (2025.01-3ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (LP: #2109512). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
      - Fix nitrogen6q2g patch to build properly on armhf
      - d/p/ubuntu-nitrogen6q2g-config-tweaks.patch: enable SCSI which is now
        required for ENV_IS_IN_FAT
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades.  Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Enable commands for displaying and configuring the UEFI environment
    - In u-boot-sifive.postinst support partition names Loader1, Loader2 as
      the installer image uses these.
    - Add package for PolarFire SoC Icicle Kit
    - Enable CONFIG_CMD_SBI by default to display SBI information on RISC-V
    - d/p/riscv64/usb-reset.patch - Add a trivial quirk to fix USB MSD access
      from U-boot
    - d/u-boot-starfive.README.Debian - Add instructions for varying boot
      sources on the VisionFive 2
    - Consider dpkg-buildflags when building host tools
    - Enable FIT images
    - d/rules: Unexport ELF_PACKAGE_METADATA to fix FTBFS on oracular
    - Enable 'env erase' sub-command to enable reset of the boot environment
      on RISC-V boards
    - Set $fdtfile on MicroChip PolarFire
      - d/p/riscv64/mpfs-icicle-kit_fdtfile.patch
    - Update lintian-override syntax to include [brackets]
    - d/*.lintian-overrides: Update syntax to include [brackets]
    - d/p/riscv64/starfive: Add StarFive JH7110 compatibility patches
    - d/p/use-cryptographically-safe-RNG.patch: Fix use of unsafe RNG in FIT
      images
    - Fix USB on Pine64 Star64
      - Add d/p/riscv64/star64/0001-usb-cdns3-Set-USB-PHY-mode-in-
        cdns3_drd_update_mode.patch
      - Add d/p/riscv64/star64/0002-phy-starfive-Add-Starfive-
        JH7110-USB-2.0-PHY-driver.patch
      - Add d/p/riscv64/star64/0003-phy-starfive-Add-Starfive-
        JH7110-PCIe-2.0-PHY-driver.patch
      - Add d/p/riscv64/star64/0004-usb-cdns-starfive-Get-dr-mode-from-
        wrapper-device-dt.patch
      - Add d/p/riscv64/star64/0005-usb-cdns-starfive-Add-cdns-USB-
        driver.patch
      - Add d/p/riscv64/star64/0006-spl-starfive-visionfive2-Disable-USB-
        overcurrent-pin.patch
      - Add d/p/riscv64/star64/0007-configs-starfive-Add-visionfive2-cadence-
        USB-configu.patch
  * Removed patches obsoleted/merged by upstream:
    - d/targets.mk:
      - Remove omap3_beagle target, removed from upstream
      - Remove omap4_panda target, removed from upstream
    - d/p/riscv64/efi_loader-create-common-function-to-free-struct-efi.patch:
      remove unused patch

 -- Dave Jones <dave.jones@canonical.com>  Fri, 09 May 2025 10:52:48 +0100

u-boot (2025.01-3) unstable; urgency=medium

  [ Marek Vasut ]
  * Add remaining DH electronics DHSOM based devices

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 08 Apr 2025 16:07:41 -0700

u-boot (2025.01-2) unstable; urgency=medium

  * debian/copyright: Clarify some ambiguous license declarations.
  * debian/targets.mk: u-boot-omap: Drop omap3_beagle and omap4_beagle
    targets, removed upstream.
  * debian/control: Update to Standards-Version 4.7.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 07 Mar 2025 19:17:41 -0800

u-boot (2025.01-1) unstable; urgency=medium

  * New upstream version.

  [ Vagrant Cascadian ]
  * debian/copyright: Remove last Files-Excluded file, no longer present
    upstream.
  * debian/watch: Drop +dfsg suffix.
  * debian/changelog: Drop +dfsg suffix.
  * debian/rules: Adjust setting DEBIAN_REVISION for removed +dfsg suffix.
  * debian/patches: Refresh patches for 2024.10, drop patches no longer
    necessary.
  * debian/patches: Refresh qemu/efi-secure-boot.patch for v2025.01-rc6.

  [ Martyn Welch ]
  * debian/targets.mk: Re-enable sitara
  * sitara: Don't attempt to build final firmware images
  * sitara: Update dtb location
  * sitara: Package keys required for signing boot firmware

  [ Diederik de Haas ]
  * debian/copyright: Sort license stanzas
  * debian/copyright: Add copyright data for new files in 2024.04
  * debian/patches: Drop patches applied upstream
  * debian/patches: rockchip: Drop inno-usb2 patch (Closes: #1024851)

  [ Vagrant Cascadian ]
  * debian/copyright: Update for 2025.01. Thanks to Frank Pursel and
    Diederik de Haas for all the help!

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 07 Mar 2025 14:28:45 -0800

u-boot (2025.01-1~0ubuntu2) plucky; urgency=medium

  * Fix USB on Pine64 Star64 (LP: #2100766)
    - Add d/p/riscv64/star64/0001-usb-cdns3-Set-USB-PHY-mode-in-cdns3_drd_update_mode.patch
    - Add d/p/riscv64/star64/0002-phy-starfive-Add-Starfive-JH7110-USB-2.0-PHY-driver.patch
    - Add d/p/riscv64/star64/0003-phy-starfive-Add-Starfive-JH7110-PCIe-2.0-PHY-driver.patch
    - Add d/p/riscv64/star64/0004-usb-cdns-starfive-Get-dr-mode-from-wrapper-device-dt.patch
    - Add d/p/riscv64/star64/0005-usb-cdns-starfive-Add-cdns-USB-driver.patch
    - Add d/p/riscv64/star64/0006-spl-starfive-visionfive2-Disable-USB-overcurrent-pin.patch
    - Add d/p/riscv64/star64/0007-configs-starfive-Add-visionfive2-cadence-USB-configu.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 27 Feb 2025 18:08:21 +0100

u-boot (2025.01-1~0ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable (LP: #2097726). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
      - Fix nitrogen6q2g patch to build properly on armhf
      - d/p/ubuntu-nitrogen6q2g-config-tweaks.patch: enable SCSI which is now
        required for ENV_IS_IN_FAT
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades. Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Enable commands for displaying and configuring the UEFI environment
    - In u-boot-sifive.postinst support partition names Loader1, Loader2 as
      the installer image uses these.
    - Add package for PolarFire SoC Icicle Kit
    - Enable CONFIG_CMD_SBI by default to display SBI information on RISC-V
    - d/p/riscv64/usb-reset.patch - Add a trivial quirk to fix USB MSD access
      from U-boot
    - d/u-boot-starfive.README.Debian - Add instructions for varying boot
      sources on the VisionFive 2
    - Consider dpkg-buildflags when building host tools
    - Enable FIT images
    - d/rules: Unexport ELF_PACKAGE_METADATA to fix FTBFS on oracular
    - Enable 'env erase' sub-command to enable reset of the boot environment
      on RISC-V boards
    - Set $fdtfile on MicroChip PolarFire
      - d/p/riscv64/mpfs-icicle-kit_fdtfile.patch
  * Removed patches obsoleted/merged by upstream:
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add support for the Milk-V Mars board to the u-boot-starfive package.
    - Enable UEFI boot manager
    - d/copyright Added missing license:
      - GPL-2.0 WITH Linux-syscall-note exception
    - d/p/use-cpp-flags.patch: Fixed cross-building issues by calling CPP with
      cpp_flags instead of CFLAGS
    - Fix card detection on the JH7110 SoC
      - d/p/riscv64/synopsys-designware-cd-gpios.patch
      - d/p/riscv64/starfive-mmc-card-detect.patch
    - d/rules: Unexport ELF_PACKAGE_METADATA to fix FTBFS on oracular
    - d/p/scripts-dtc-pylibfdt-libfdt.i_shipped-Use-SWIG_Appen.patch
  * d/targets.mk:
    - Remove omap3_beagle target, removed from upstream
    - Remove omap4_panda target, removed from upstream
  * d/*.lintian-overrides: Update syntax to include [brackets]
  * d/copyright: Remove redundant patterns
  * d/p/riscv64/starfive: Add StarFive JH7110 compatibility patches
  * d/p/use-cryptographically-safe-RNG.patch: Fix use of unsafe RNG in FIT
    images (LP: #2086515)
  * d/p/riscv64/efi_loader-create-common-function-to-free-struct-efi.patch:
    remove unused patch

 -- Dave Jones <dave.jones@canonical.com>  Mon, 10 Feb 2025 01:31:27 +0000

u-boot (2024.01+dfsg-6) unstable; urgency=medium

  * Use system dtc from device-tree-compiler (Closes: #1091125)
  * debian/control: Move device-tree-compiler from Build-Depends-Arch to
    Build-Depends.
  * debian/control: Mark python3-libfdt, python3-jsonschema, and
    python3-yaml as native to fix cross-building.
  * debian/control: Update to Standards-Version 4.7.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 02 Jan 2025 13:47:07 -0800

u-boot (2024.01+dfsg-5ubuntu3) plucky; urgency=medium

  * Set $fdtfile on MicroChip PolarFire (LP: #2095400)
    - d/p/riscv64/mpfs-icicle-kit_fdtfile.patch
    - d/p/scripts-dtc-pylibfdt-libfdt.i_shipped-Use-SWIG_Appen.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 21 Jan 2025 13:01:42 +0100

u-boot (2024.01+dfsg-5ubuntu2) oracular; urgency=medium

  * Enable FIT images (LP: #2054092)
  * Fix card detection on the JH7110 SoC (LP: #2069410)
    - d/p/riscv64/synopsys-designware-cd-gpios.patch
    - d/p/riscv64/starfive-mmc-card-detect.patch
  * d/rules: Unexport ELF_PACKAGE_METADATA to fix FTBFS on oracular
  * Enable 'env erase' sub-command to enable reset of the boot environment on
    RISC-V boards (LP: #2080386)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 06 Aug 2024 09:41:28 +0100

u-boot (2024.01+dfsg-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable (LP: #2075352). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
      - Fix nitrogen6q2g patch to build properly on armhf
      - d/p/ubuntu-nitrogen6q2g-config-tweaks.patch: enable SCSI which is now
        required for ENV_IS_IN_FAT
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades. Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Enable commands for displaying and configuring the UEFI environment
    - In u-boot-sifive.postinst support partition names Loader1, Loader2 as
      the installer image uses these.
    - Add package for PolarFire SoC Icicle Kit
    - Enable CONFIG_CMD_SBI by default to display SBI information on RISC-V
    - d/p/riscv64/usb-reset.patch - Add a trivial quirk to fix USB MSD access
      from U-boot
    - d/u-boot-starfive.README.Debian - Add instructions for varying boot
      sources on the VisionFive 2
    - Consider dpkg-buildflags when building host tools
  * Removed patches obsoleted/merged by upstream:
    - Remove the MIPS targets as the mips cross-compiler is currently
      uninstallable in Ubuntu
    - d/p/riscv64/000[12]-efi-loader*.patch - Fix a boot-time crash on the
      VisionFive2 when a USB stick is present
    - Fix device-tree corruption on RISC-V boards
      - d/p/dbcn_serial_use_data_section.patch
    - Added -mno-omit-leaf-frame-pointer to list of flags excluded from build
      to fix FTBFS of u-boot-qemu
  * Refreshed patches to remove fuzz:
    - d/p/riscv64/0003-board-starfive-support-Milk-V-Mars-board.patch
  * d/copyright Added missing license:
    - GPL-2.0 WITH Linux-syscall-note exception
  * d/p/use-cpp-flags.patch: Fixed cross-building issues by calling CPP with
    cpp_flags instead of CFLAGS

 -- Dave Jones <dave.jones@canonical.com>  Thu, 01 Aug 2024 10:30:29 +0100

u-boot (2024.01+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 19 Apr 2024 11:32:03 -0700

u-boot (2024.01+dfsg-4) experimental; urgency=medium

  [ Martyn Welch ]
  * d/targets: Enable support for am625-sk

  [ Vagrant Cascadian ]
  * debian/control: Add missing Build-Depends-Arch on
    gcc-arm-linux-gnueabihf for am625-sk targets.
  * Move u-boot-exynos (odroid, odroid-xu3) platforms to
    u-boot-exynos-binaries in contrib.
  * Move u-boot-amlogic platforms to u-boot-amlogic-binaries in contrib.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 18 Apr 2024 15:50:25 -0700

u-boot (2024.01+dfsg-3) unstable; urgency=medium

  * Switch away from dh-builtusing to fix build failure on armhf.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 20 Mar 2024 11:38:00 -0700

u-boot (2024.01+dfsg-2) unstable; urgency=medium

  [ Philippe Coval ]
  * debian/patches: Add Olimex A20-Olinuxino Micro reboot patch
    (Closes: #1060752)

  [ Aurelien Jarno ]
  * debian/patches: Apply patches from upstream to fix USB crash on
    VisionFive 2. (Closes: #1062664)
  * debian/patches: Apply patch from upstream to improve VisionFive 2 1.2A
    support.
  * debian/patches: Apply patch from upstream to support saving
    environment on VisionFive 2.
  * debian/patches: Apply patch submitted upstream fixing device-tree
    corruption on riscv64. (Closes: #1060682)
  * debian/patches: Apply patch submitted upstream fixing data corruption
    on HiFive Unmatched.

  [ Андрей Лухнов ]
  * debian/targets.mk: add orangepi_pc_plus to sunxi platforms
    (Closes: #1061432)

  [ Nicolas Boulenguez ]
  * Delegate the Built-Using field to the dh-builtusing debhelper tool
    (Closes: #1051098)

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 19 Mar 2024 16:27:45 -0700

u-boot (2024.01+dfsg-1ubuntu6) oracular; urgency=medium

  * Consider dpkg-buildflags when building host tools (LP: #2071846)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 01 Jul 2024 17:26:46 +0200

u-boot (2024.01+dfsg-1ubuntu5) noble; urgency=medium

  * Enable UEFI boot manager (LP: #2060212)
  * Update 0003-board-starfive-support-Milk-V-Mars-board.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 04 Apr 2024 18:22:45 +0200

u-boot (2024.01+dfsg-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:24 +1100

u-boot (2024.01+dfsg-1ubuntu3) noble; urgency=medium

  Add support for the Milk-V Mars board to the u-boot-starfive package.
  (LP: #2055939)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 04 Mar 2024 16:58:44 +0100

u-boot (2024.01+dfsg-1ubuntu2) noble; urgency=medium

  * Fix device-tree corruption on RISC-V boards (LP: #2054091)
    + d/p/dbcn_serial_use_data_section.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 21 Feb 2024 01:58:55 +0100

u-boot (2024.01+dfsg-1ubuntu1) noble; urgency=medium

  [ Dave Jones ]
  * Merge from Debian unstable (LP: #2051940). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
      - Fix nitrogen6q2g patch to build properly on armhf
      - d/p/ubuntu-nitrogen6q2g-config-tweaks.patch: enable SCSI which is now
        required for ENV_IS_IN_FAT
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades. Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Enable commands for displaying and configuring the UEFI environment
    - In u-boot-sifive.postinst support partition names Loader1, Loader2 as
      the installer image uses these.
    - Remove the MIPS targets as the mips cross-compiler is currently
      uninstallable in Ubuntu
    - Add package for PolarFire SoC Icicle Kit
    - Enable CONFIG_CMD_SBI by default to display SBI information on RISC-V
  * Removed patches obsoleted/merged by upstream:
    - d/p/riscv64/sync-polarfire-dts-with-linux-[123].patch: assign MAC
      address on PolarFire
    - d/p/riscv64/multi-usb-msd-[12].patch: fix non-unique device paths on
      machines with multiple USB mass-storage devices attached
  * Refreshed patches to apply cleanly without fuzz:
    - d/p/rpi-config-tweaks.patch
    - d/p/rpi-maxargs.patch
  * Added -mno-omit-leaf-frame-pointer to list of flags excluded from build
    to fix FTBFS of u-boot-qemu

  [ Heinrich Schuchardt ]
  * d/p/riscv64/000[12]-efi-loader*.patch - Fix a boot-time crash on the
    VisionFive2 when a USB stick is present
  * d/p/riscv64/usb-reset.patch - Add a trivial quirk to fix USB MSD access
    from U-boot
  * d/u-boot-starfive.README.Debian - Add instructions for varying boot
    sources on the VisionFive 2

 -- Dave Jones <dave.jones@canonical.com>  Thu, 01 Feb 2024 13:52:26 +0000

u-boot (2024.01+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Update versioned dependency on opensbi to 1.3 for
    VisionFive 2 support. Thanks to Heinrich Schuchardt.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 10 Jan 2024 13:34:04 -0800

u-boot (2024.01~rc6+dfsg-2) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * debian/copyright: Fixes for 2024.01-rc6.
  * u-boot-omap: Fix removal of nokia rx51.

  [ undef ]
  * Add Starfive Visionfive2 board support (Closes: #1053359)

  [ Andreas Henriksson ]
  * Add u-boot-asahi building apple_m1_defconfig (Closes: #1056576)

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 06 Jan 2024 20:26:46 -0800

u-boot (2024.01~rc6+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.

  [ harry88@gmx.ph ]
  * Remove check for mkimage in u-boot-install-sunxi. (Closes: #1041827)

  [ Vagrant Cascadian ]
  * debian/rules: Disable hardening branch feature to fix arch:all build.
    (Closes: #1052724)
  * debian/patches: Drop Makefile-fix-upstream-version, fixed upstream.
  * debian/patches: Refresh qemu/efi-secure-boot.patch.
  * debian/copyright: Updated for new version.
  * debian/targets.mk: Remove nokia_rx51, no longer supported upstream.
    Thanks to xypron for noticing!
  * debian/patches: Drop riscv64
    unmatched-prevent-relocating-initrd-and-fdt, no longer needed. Thanks
    to xypron for testing!

  [ harry88@gmx.ph ]
  * Clarify error message in u-boot-install-sunxi. (Closes: #1056289)

  [ Guillem Jover ]
  * Remove avr32 arch support removed in dpkg 1.22.0. (Closes: #1056750)

  [ Harry 88 ]
  * Include u-boot-sunxi-with-spl.bin for all sunxi boards
    (Closes: #979688)

  [ Vagrant Cascadian ]
  * debian/patches: Update qemu efi-secure-boot patch.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 05 Jan 2024 14:17:59 -0800

u-boot (2023.07+dfsg-1ubuntu2) mantic; urgency=medium

  * Fix FTBFS by excluding -fcf-protection from CFLAGS; this flag isn't valid
    when cross-building (LP: #2034536)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 21 Sep 2023 12:00:38 +0100

u-boot (2023.07+dfsg-1ubuntu1) mantic; urgency=medium

  [ Dave Jones]
  * Merge from Debian unstable (LP: #2027789). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
      - Fix nitrogen6q2g patch to build properly on armhf
      - d/p/ubuntu-nitrogen6q2g-config-tweaks.patch: enable SCSI which is now
        required for ENV_IS_IN_FAT
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades. Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Enable commands for displaying and configuring the UEFI environment
    - In u-boot-sifive.postinst support partition names Loader1, Loader2 as
      the installer image uses these.
    - Remove the MIPS targets as the mips cross-compiler is currently
      uninstallable in Ubuntu
    - Add package for PolarFire SoC Icicle Kit
  * Removed patches obsoleted/merged by upstream:
    - SECURITY UPDATE: unchecked length field in DFU implementation
      - debian/patches/CVE-2022-2347.patch: fix the unchecked length field in
        drivers/usb/gadget/f_dfu.c.
      - CVE-2022-2347
    - Fix probing of virtio devices
      d/p/virtio-pci-fix-bug-of-virtio_pci_map_capability.patch
    - Enable reset via SBI on PolarFire Icicle Kit
      d/p/riscv64/enable-reset-via-SBI-on-PolarFire-Icicle-Kit.patch
    - Adjust u-boot-microchip on PolarFire Icicle Kit for the changed memory
      layout of the HSS 2022.10 firmware
  * Refreshed patches:
    - d/p/rpi-config-tweaks.patch
    - d/p/ubuntu-nitrogen6q2g-config-tweaks.patch
    - d/p/rpi-cm4-sdhci.patch
    - d/p/rpi-8gb-pci.patch
    - d/p/riscv64/mpfs-icicle-reserve-the-top-of-memory-for-the-.patch

  [ Heinrich Schuchardt ]
  * d/p/riscv64/enable-sbi.patch: Enable CONFIG_CMD_SBI by default to display
    SBI information on RISC-V
  * d/p/riscv64/sync-polarfire-dts-with-linux-[123].patch: assign MAC address
    on PolarFire
  * d/p/riscv64/multi-usb-msd-[12].patch: fix non-unique device paths on
    machines with multiple USB mass-storage devices attached

 -- Dave Jones <dave.jones@canonical.com>  Fri, 14 Jul 2023 15:52:36 +0100

u-boot (2023.07+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Adjust Makefile to report correct version.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 10 Jul 2023 19:54:17 -0700

u-boot (2023.07~rc5+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.

  [ harry88@gmx.ph ]
  * debian/targets.mk: Use no_pmic variant of TF-A on Orange Pi One
    Plus. (Closes: #1039033)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 29 Jun 2023 16:13:47 -0700

u-boot (2023.07~rc4+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches: Remove fix-qemu-ppce500-with-binutils-2.38, fixed
    upstream. Thanks to Pali Rohár.
  * debian/control: Update Build-Depends on arm-trusted-firmware to 2.9
    from experimental.
  * debian/targets.mk: Drop installation of rk3399-rock-pi-4b.dtb, removed
    upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 20 Jun 2023 14:21:44 -0700

u-boot (2023.04+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 04 Apr 2023 22:55:36 -0700

u-boot (2023.04~rc5+dfsg-1) experimental; urgency=medium

  * debian/patches: Refresh qemu/efi-secure-boot for v2023.04-rc3.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 28 Mar 2023 07:31:21 -0700

u-boot (2023.04~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches: Update for v2023.04-rc2.
  * Drop rockchip make_fit_atf, no longer used or available upstream.
  * debian/control: Add python3-pyelftools to Build-Depends.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 15 Feb 2023 14:00:22 -0800

u-boot (2023.01+dfsg-2) unstable; urgency=medium

  * debian/patches: Apply patch submitted upstream fixing booting with
    qemu-riscv64. (Closes: #1028343)

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 17 Jan 2023 17:57:16 -0800

u-boot (2023.01+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1027176)
  * u-boot-amlogic: Drop "noefi" variants.
  * debian/control: Add Build-Depends-Arch with libgnutls28-dev:native and
    uuid-dev:native for arm64. Thanks to Helmut Grohne.
  * debian/patches: Disable CONFIG_VIDEO_LOGO to fix cross-building.
    Thanks to Helmut Grohne.
  * salsa-ci: Enable cross-building of u-boot-tools.
  * debian/control: Drop libc6 cross build dependency workaround.
  * debian/control: Drop Build-Depends on python3-distutils and
    python3-pkg-resources, no longer needed.
  * debian/control: Move several Build-Depends to Build-Depends-Arch:
    arm-trusted-firmware, crust-firmware, device-tree-compiler,
    libfdt-dev, libgnutls28-dev, libncurses-dev, libssl-dev, lzop,
    opensbi, and uuid-dev.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 09 Jan 2023 19:18:09 -0800

u-boot (2023.01~rc4+dfsg-2) unstable; urgency=medium

  [ Frédéric Danis ]
  * u-boot-amlogic: Build libretech-cc-noefi variant to work around
    https://bugs.debian.org/1027176

  [ Vagrant Cascadian ]
  * debian/targets.mk: Remove testers who no longer have access to boards
    or who are not reachable.
  * u-boot-amlogic: Enable "noefi" variants for all amlogic platforms to
    work around https://bugs.debian.org/1027176
  * debian/control: Drop u-boot meta-package for armhf and mips.
  * u-boot-amlogic: Add README.Debian describing the difference between
    the default and "noefi" variants of each platform.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 05 Jan 2023 19:38:24 -0800

u-boot (2023.01~rc4+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches: Refresh rockchip-inno-usb.patch for 2023.01-rc4.
  * debian/patches: Refresh roc-pc-rk3399 efuse support for 2023.01-rc4.
  * debian/control: Update to Standards Version 4.6.2, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 23 Dec 2022 19:13:23 -0800

u-boot (2023.01~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.

  [ Sean Anderson ]
  * Package dumpimage man page

  [ Christopher Obbard ]
  * d/patches: rockchip: roc-pc-rk3399: Enable rockchip efuse support

  [ Vagrant Cascadian ]
  * debian/patches: Refresh
    rockchip-roc-pc-rk3399-Enable-rockchip-efuse-support.
  * debian/patches: Drop n900 patch, now upstream. Thanks to Pali Rohár.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 10 Dec 2022 21:21:11 -0800

u-boot (2023.01~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
    Fixes CVE-2022-2347 (Closes: #1014959)

  [ Vagrant Cascadian ]
  * debian/patches: Drop riscv64/update-isa-spec, fixed upstream.
  * debian/control: Add Build-Depends on python3-setuptools.

  [ Luca Boccassi ]
  * qemu arm64/amd64: enable secure boot

  [ Manuel Traut ]
  * u-boot-imx: Add colibri_imx6 (Closes: #1023443)

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 25 Nov 2022 12:31:33 -0800

u-boot (2022.10+dfsg-2) unstable; urgency=medium

  * debian/patches: Apply patch from upstream fixing booting on Pinebook
    Pro.
  * debian/control: Update to Standards Version 4.6.2, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 23 Dec 2022 15:18:44 -0800

u-boot (2022.10+dfsg-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1999039). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades. Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Re-added target for nitrogen6q2 u-boot binary (missed in prior merge)
    - Enable commands for displaying and configuring the UEFI environment
    - Fix nitrogen6q2g patch to build properly on armhf
    - In u-boot-sifive.postinst support partition names Loader1, Loader2 as
      the installer image uses these.
    - Remove the MIPS targets as the mips cross-compiler is currently
      uninstallable in Ubuntu
    - Add package for PolarFire SoC Icicle Kit
    - Adjust u-boot-microchip on PolarFire Icicle Kit for the changed memory
      layout of the HSS 2022.10 firmware
    - Enable reset via SBI on PolarFire Icicle Kit d/p/riscv64/enable-reset-
      via-SBI-on-PolarFire-Icicle-Kit.patch
    - Fix probing of virtio devices d/p/virtio-pci-fix-bug-of-
      virtio_pci_map_capability.patch
    - SECURITY UPDATE: unchecked length field in DFU implementation
      - debian/patches/CVE-2022-2347.patch: fix the unchecked length field in
        drivers/usb/gadget/f_dfu.c.
      - CVE-2022-2347
  * Removed patches obsoleted/merged by upstream:
    - System reset via the SRST extension in the SBI should be the default.
  * Refreshed patches:
    - d/p/rpi-config-tweaks.patch
    - d/p/rpi-cm4-sdhci.patch
    - d/p/rpi-8gb-pci.patch
    - d/p/rpi-maxargs.patch
  * d/p/ubuntu-nitrogen6q2g-config-tweaks.patch: enable SCSI which is now
    required for ENV_IS_IN_FAT

 -- Dave Jones <dave.jones@canonical.com>  Wed, 07 Dec 2022 12:37:17 +0000

u-boot (2022.10+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1019004)

  [ Vagrant Cascadian ]
  * debian/control: Add libcurses-dev:native to Build-Depends.

  [ Daniel Serpell ]
  * u-boot-sunxi: Add A20-OLinuXino_MICRO-eMMC. (Closes: #1019880)

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 03 Oct 2022 17:06:38 -0700

u-boot (2022.10~rc2+dfsg-2) experimental; urgency=medium

  * Team upload.
  * debian/patches: Use relative paths for debuging symbols.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Tue, 16 Aug 2022 19:18:15 -0700

u-boot (2022.10~rc2+dfsg-1) experimental; urgency=medium

  * debian/patches: Refresh for 2022.10-rc2.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 12 Aug 2022 07:18:56 -0700

u-boot (2022.07+dfsg-1ubuntu7) lunar; urgency=medium

  * SECURITY UPDATE: unchecked length field in DFU implementation
    - debian/patches/CVE-2022-2347.patch: fix the unchecked length field in
      drivers/usb/gadget/f_dfu.c.
    - CVE-2022-2347

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Dec 2022 09:21:18 -0500

u-boot (2022.07+dfsg-1ubuntu6) lunar; urgency=medium

  * Fix probing of virtio devices (LP: #1996285)
    d/p/virtio-pci-fix-bug-of-virtio_pci_map_capability.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 11 Nov 2022 16:14:13 +0100

u-boot (2022.07+dfsg-1ubuntu5) lunar; urgency=medium

  * Rebuild against updated OpenSBI
    Fixes emulation of fence.tso on Allwinner D1 (LP: #1995860)
  * Enable reset via SBI on PolarFire Icicle Kit (LP: #1995932)
    d/p/riscv64/enable-reset-via-SBI-on-PolarFire-Icicle-Kit.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 07 Nov 2022 13:25:23 +0100

u-boot (2022.07+dfsg-1ubuntu4) kinetic; urgency=medium

  * Adjust u-boot-microchip on PolarFire Icicle Kit for the changed memory
    layout of the HSS 2022.10 firmware (LP: #1992776)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 13 Oct 2022 12:12:03 +0200

u-boot (2022.07+dfsg-1ubuntu3) kinetic; urgency=medium

  * Add package for PolarFire SoC Icicle Kit (LP: #1987505)
  * System reset via the SRST extension in the SBI should be the default.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 24 Aug 2022 10:12:10 +0200

u-boot (2022.07+dfsg-1ubuntu2) kinetic; urgency=medium

  * Remove the MIPS targets as the mips cross-compiler is currently
    uninstallable in Ubuntu

 -- Dave Jones <dave.jones@canonical.com>  Thu, 01 Sep 2022 16:51:48 +0100

u-boot (2022.07+dfsg-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1980017). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades. Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Re-added target for nitrogen6q2 u-boot binary (missed in prior merge)
    - Enable commands for displaying and configuring the UEFI environment
    - Fix nitrogen6q2g patch to build properly on armhf
    - In u-boot-sifive.postinst support partition names Loader1, Loader2 as
      the installer image uses these.
  * Removed patches obsoleted/merged by upstream:
    - Enabling booting via SCSI and USB on SiFive Unmatched
    - d/patches: Add SiFive Unmatched PCIe fix
    - In u-boot-sifive.postinst support partition names Loader1, Loader2
      as the installer image uses these.
    - d/p/efi-loader-copy-guid.patch: Copy GUID in InstallProtocolInterface to
      avoid crash with systemd-boot
    - d/p/efi-part-list.patch: Permit listing of non-contiguous partitions in
      GPT tables
    - Fix Unleashed name typo that resulted in an unbootable image due to
      missing OpenSBI.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 Aug 2022 11:57:13 +0100

u-boot (2022.07+dfsg-1) unstable; urgency=medium

  [ Dave Jones ]
  * Fix Unleashed name typo

  [ Vagrant Cascadian ]
  * debian/patches: Refresh exynos console patch.
  * Drop update-lintian-overrides helper script.
  * Update lintian overrides.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 09 Aug 2022 16:59:45 -0700

u-boot (2022.07~rc4+dfsg-1) experimental; urgency=medium

  [ Tianon Gravi ]
  * Add u-boot-sifive.README.Debian with Unmatched install instructions

  [ Christopher Obbard ]
  * Add Firefly ROC-RK3399-PC support

  [ Vagrant Cascadian ]
  * debian/patches: Refresh
    riscv64/unmatched-prevent-relocating-initrd-and-fdt.patch

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Jun 2022 12:06:20 -0700

u-boot (2022.07~rc3+dfsg-2) experimental; urgency=medium

  [ Arnaud Ferraris ]
  * debian: Add new package for STM32 boards

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 24 May 2022 11:08:22 -0700

u-boot (2022.07~rc3+dfsg-1) experimental; urgency=medium

  [ Christopher Obbard ]
  * Add Radxa ROCK Pi E support

  [ Nicolas Boulenguez ]
  * Simplify the parts displaying a Debian-specific revision during boot.
    (Closes: #1009638)

  [ Vagrant Cascadian ]
  * debian/patches: Refresh arndale/board-spl-rule for 2022.07-rc3.
  * debian/patches: Drop patches applied in 2022.07-rc3.
  * u-boot-qemu: Add malta64el and maltael. Thanks to Johannes Schauer
    Marin Rodrigues. (Closes: #1010917)
  * debian/rules: Switch to using tools-all target.
  * debian/patches: Drop tools-generic-builds.
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 24 May 2022 10:49:36 -0700

u-boot (2022.04+dfsg-2) unstable; urgency=medium

  * debian/watch: Exclude erroneous upstream version.
  * debian/patches: Add patches submitted upstream to enable SCSI on
    rockpro64.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 10 Apr 2022 16:28:14 -0700

u-boot (2022.04+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/signing-key: Update key.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 05 Apr 2022 09:26:39 -0700

u-boot (2022.04~rc4+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * u-boot-omap.docs: Update location for nokia rx51.
  * debian/control: Build-Depends on libncurses-dev.
  * debian/control: Drop versioned build-depends on binutils.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 24 Mar 2022 14:28:03 -0700

u-boot (2022.04~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches: Drop obsolete patch
    ensure-config-sandbox-for-make-env.
  * debian/control: Add Build-Depends on libgnutls28-dev and uuid-dev,
    used to build mkeficapsule.
  * u-boot-tools: Install mkeficapsule. (Closes: #988413)

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 23 Feb 2022 17:10:03 -0800

u-boot (2022.01+dfsg-2ubuntu3) kinetic; urgency=medium

  * Enabling booting via SCSI and USB on SiFive Unmatched
    (LP: #1968174)
  * In u-boot-sifive.postinst support partition names Loader1, Loader2
    as the installer image uses these.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sun, 15 May 2022 08:13:41 +0200

u-boot (2022.01+dfsg-2ubuntu2) jammy; urgency=medium

  * d/patches: Add SiFive Unmatched PCIe fix (LP: #1965321)

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Fri, 25 Mar 2022 11:15:18 +0100

u-boot (2022.01+dfsg-2ubuntu1) jammy; urgency=medium

  [ Dave Jones ]
  * Merge from Debian unstable (LP: #1964365). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Removed d/u-boot-rpi.postinst. The task of copying the u-boot binaries
      to the boot partition is now performed by flash-kernel
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
      breaks riscv64 booting.
    - Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
      partitions upon package upgrades. Maybe this should move to flash-
      kernel, and update SPI too.
    - Provide compat symlinks for old unleashed & unmatched platform names
    - sifive boards: re-enable back USE_PREBOOT< it used to be there in
      2021.01 releases, and I suspect it affects unleashed bootability.
    - In postinst support Unmatched model name without A00 suffix, as used by
      meta-sifive kernels and may be contributed upstream in the future.
    - Fix Unleashed name typo that resulted in an unbootable image due to
      missing OpenSBI.
  * Removed obsolete patches/changes:
    - fix cmd_sysconfig in qemu
    - set default fdtfile names for sifive boards
    - Drop unleashed hunk from
      riscv64/qemu-riscv64_smode-sifive-fu540-fix-extlinux-define-.patch, as
      the same preboot is specified in unleashed board include.
    - Cherrypick patch from Heinrich Schuchardt (xypron) to fix failure to
      boot on Unmatched.
    - Drop 75efe7dc996ddb9835590b1a8970f19b5c4b1ade.patch included upstream.
    - Remove unreferenced fe01f41d57b79d9ca94604503a25e55175744d42.patch,
      included as riscv64/0013-riscv-sifive-Set-default-fdtfile-names.patch.
    - Build against opensbi with reboot support on Unmatched
    - Add missing trailing \n to arch/arm/mach-stm32mp/cmd_stm32prog/Kconfig.
      Fixes a rare (but reliable) FTBFS from check-config.sh. In the original
      case on LP armhf, mach-imx/Kconfig sorted immediately after
      cmd_stm32prog/Kconfig, causing lines to run together and the sed to not
      match the "config HAS_CAAM" line, causing the dh_imx6 defconfig to
      appear invalid.
    - Import meta-sifive patch series.
    - Refreshed rk3399 patches for new release
  * Refreshed patches for new release
  * Re-added target for nitrogen6q2 u-boot binary (missed in prior merge)
  * Fixed nitrogen6q2g patch to build properly on armhf

  [ Heinrich Schuchardt ]
  * d/p/efivars-commands.patch: Enable commands for displaying and configuring
    the UEFI environment
  * d/p/efi-part-list.patch: Permit listing of non-contiguous partitions in
    GPT tables
  * d/p/efi-loader-copy-guid.patch: Copy GUID in InstallProtocolInterface to
    avoid crash with systemd-boot

 -- Dave Jones <dave.jones@canonical.com>  Thu, 10 Mar 2022 16:54:01 +0000

u-boot (2022.01+dfsg-2) unstable; urgency=medium

  * debian/patches: Fix building qemu-ppce500 target with binutils
    2.38. Thanks to Aurelien Jarno! (Closes: #1003490)
  * debian/patches: Update to newer riscv64 default ISA spec.
    Thanks to Aurelien Jarno! (Closes: #1003490)
  * debian/control: Add versioned Build-Depends on binutils.
  * debian/control: Update versioned Build-Depends on opensbi.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Jan 2022 11:58:27 -0800

u-boot (2022.01+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 10 Jan 2022 14:07:13 -0800

u-boot (2022.01~rc4+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/targets.mk: Fix typo in nanopc-t4-rk3399.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 20 Dec 2021 18:38:20 -0800

u-boot (2022.01~rc2+dfsg-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: missing build dependency on libssl-dev (Closes: #996497).

  [ Steev Klimaszewski ]
  * Add NanoPC T4 support
  * Add NanoPi NEO4 support

  [ Vagrant Cascadian ]
  * u-boot-install-rockchip: Align with tabs.
  * debian/patches: Refresh exynos default console patch.
  * debian/patches: Remove patches applied upstream.
  * debian/control: Update versioned build-dependency on opensbi.
  * debian/control: Update versioned dependency on arm-trusted-firmware.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 21 Nov 2021 20:05:15 -0800

u-boot (2021.10+dfsg-1) unstable; urgency=medium

  * Upload new upstream version to unstable.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 09 Oct 2021 21:20:52 -0700

u-boot (2021.10~rc5+dfsg-1) experimental; urgency=medium

  * debian/rules: Fix installation of the platform specific config files.
  * debian/patches: Remove patches am57xx/omap5_distro_bootcmd and
    riscv64/riscv-sifive-Set-default-fdtfile-names.patch, applied
    upstream.
  * debian/patches: Refresh n900/bootz_and_raw_initrd.
  * debian/patches: Refresh tools-generic-builds.
  * debian/control: Build-Depends on libssl-dev:native.
  * debian/rules: No longer adjust .config file during build.
  * debian/copyright: Removed board.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 28 Sep 2021 10:29:12 -0700

u-boot (2021.07+dfsg-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/control: Update Standards-Version to 4.6.0, no changes.

  [ Nicolas Boulenguez ]
  * debian/rules: Replace exports with assignments visible in build logs
    (Closes: #990202)

  [ Vagrant Cascadian ]
  * [arm64] u-boot-sunxi: Add sopine_baseboard target. Thanks to
    amarpreet. (Closes: #992816)

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Sep 2021 19:58:55 -0700

u-boot (2021.07+dfsg-1) experimental; urgency=medium

  * debian/patches: Add patch to fix USB (de)initialization on
    rockpro64/pinebook-pro.  Drop patch disabling preboot on these
    platforms.
  * [riscv64] debian/patches: Set default fdtfile names on sifive platforms.
  * [riscv64] debian/patches: Apply patch fixing boot on unmatched
    board. Thanks to Heinrich Schuchardt (xypron).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 24 Jul 2021 18:35:37 -0700

u-boot (2021.07+dfsg-0ubuntu10) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 14:16:56 +0000

u-boot (2021.07+dfsg-0ubuntu9) jammy; urgency=medium

  * No change rebuild with new opensbi snapshot.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 02 Nov 2021 12:41:21 +0000

u-boot (2021.07+dfsg-0ubuntu8) impish; urgency=medium

  * Add missing trailing \n to arch/arm/mach-stm32mp/cmd_stm32prog/Kconfig.
    Fixes a rare (but reliable) FTBFS from check-config.sh. In the original
    case on LP armhf, mach-imx/Kconfig sorted immediately after
    cmd_stm32prog/Kconfig, causing lines to run together and the sed to not
    match the "config HAS_CAAM" line, causing the dh_imx6 defconfig to appear
    invalid.

 -- William Grant <wgrant@ubuntu.com>  Wed, 13 Oct 2021 20:05:23 +1100

u-boot (2021.07+dfsg-0ubuntu7) impish; urgency=medium

  * Fix Unleashed name typo that resulted in an unbootable image due to
    missing OpenSBI (LP: #1946913).

 -- William Grant <wgrant@ubuntu.com>  Wed, 13 Oct 2021 14:59:55 +1100

u-boot (2021.07+dfsg-0ubuntu6) impish; urgency=medium

  * Build against opensbi with reboot support on Unmatched
  * In postinst support Unmatched model name without A00 suffix, as used
    by meta-sifive kernels and may be contributed upstream in the future.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 25 Aug 2021 17:22:24 +0100

u-boot (2021.07+dfsg-0ubuntu4) impish; urgency=medium

  * sifive boards: re-enable back USE_PREBOOT< it used to be there in
    2021.01 releases, and I suspect it affects unleashed bootability.
  * control: add crust-firmware build-dep, it is now available in the
    archive.
  * Remove unreferenced fe01f41d57b79d9ca94604503a25e55175744d42.patch,
    included as riscv64/0013-riscv-sifive-Set-default-fdtfile-names.patch.
  * Skip removed/incorrect 0ubuntu3 upload.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 04 Aug 2021 11:18:25 +0100

u-boot (2021.07+dfsg-0ubuntu2) impish; urgency=medium

  * Import meta-sifive patch series.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 23 Jul 2021 17:14:09 +0100

u-boot (2021.07+dfsg-0ubuntu1) impish; urgency=medium

  * New upstream release.
    - Drop 75efe7dc996ddb9835590b1a8970f19b5c4b1ade.patch included upstream.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 23 Jul 2021 12:45:26 +0100

u-boot (2021.07~rc4+dfsg-1ubuntu2) impish; urgency=medium

  * Cherrypick patch from Heinrich Schuchardt (xypron) to fix failure to
    boot on Unmatched. LP: #1937246

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 22 Jul 2021 12:33:49 +0100

u-boot (2021.07~rc4+dfsg-1ubuntu1) impish; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Implement u-boot-sifive.postinst to upgrade u-boot in
    loader1/loader2 partitions upon package upgrades. LP: #1936370 Maybe
    this should move to flash-kernel, and update SPI too.
    - Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
    breaks riscv64 booting.
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
  * Cherrypick upstream patches to:
    - fix cmd_sysconfig in qemu
    - set default fdtfile names for sifive boards
  * Provide compat symlinks for old unleashed & unmatched platform names
  * Drop unleashed hunk from
    riscv64/qemu-riscv64_smode-sifive-fu540-fix-extlinux-define-.patch, as
    the same preboot is specified in unleashed board include.
  * Drop crust-firmware build-dep, until it is available in Ubuntu,
    currently in impish NEW queue.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 20 Jul 2021 12:30:01 +0100

u-boot (2021.07~rc4+dfsg-1) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Write only once that rockchip depends on rockchip_make_fit_atf
    (Closes: #985908)
  * Refactor pkg.uboot.subarch and pkg.uboot.platform build profiles
    (Closes: #985911)

  [ Vagrant Cascadian ]
  * debian/control: Make Build-Depends on libssl-dev only when building
    tools.
  * Update for rename of sifive_fu540 to sifive_unleashed
  * u-boot-sifive: Update documentation for rename of fu540 to unleashed.

  [ Nicolas Boulenguez ]
  * u-boot-sunxi: embed crust-firmware on supported platforms.
    (Closes: #985981)

  [ Vagrant Cascadian ]
  * debian/control: Fix Build-Depends on crust-firmware.
  * debian/targets.mk: Update usbarmory targets for new versions.

  [ Filip Moc ]
  * debian/targets.mk: rockchip: add u-boot-tpl.bin

  [ Vagrant Cascadian ]
  * u-boot-install-rockchip: Allow overriding UBOOT_OFFSET for
    puma-rk3399.
  * u-boot-install-rockchip: Allow overriding the loader offset.
  * [riscv64] u-boot-sifive: Use OpenSBI to build the sifive_unleashed target.
  * [riscv64] u-boot-sifive: Add sifive_unmatched board.
  * [riscv64] u-boot-sifive: Add Built-Using for opensbi.
  * u-boot-sifive: Install unmatched documentation.
  * u-boot-sunxi, u-boot-rockchip: Move arm-trusted-firmware to Suggests.
  * debian/control: Update versioned Build-Depends on arm-trusted-firmware
    to 2.5.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 19 Jun 2021 15:11:34 -0700

u-boot (2021.04~rc4+dfsg-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * New upstream release candidate.
  * debian/patches: Refresh mx53loco patch.
  * debian/targets: mx53loco: Update to install u-boot-dtb.imx.

  [ Nicolas Boulenguez ]
  * Set CROSS_COMPILE on the Make command line instead of exporting
    (Closes: #980236)
  * Encode the GNU type instead of the Debian arch alias for qemu
    (Closes: #980360)
  * Name the platform list temp file after subpackage instead of subarch
    (Closes: #980362)
  * Install configurations with dh_installdocs instead of dh_install
    (Closes: #980359)
  * Pass distinct substvars to gencontrol on the command line
    (Closes: #980358)
  * Store all dh_install commands into the same file (Closes: #980361)
  * Set BL31 SCP on the command line instead of the environment
    (Closes: #980363)
  * Replace many shell constructs with Make constructs (Closes: #979296)

  [ Vagrant Cascadian ]
  * debian/targets.mk: Use a single debian/build/rockchip_make_fit_atf
    rule for all architectures.
  * debian/rules: Depend on rockchip_make_fit_atf for
    override_dh_auto_build-arch target.
  * debian/rules: When pkg.uboot.platform.* is in DEB_BUILD_PROFILES, only
    build specified platform.
  * debian/patches: Refresh disable-fit-image-tests.
  * debian/targets.mk: Fix u-boot-sunxi variables for arm64 assigns and
    dpkg-gencontrol. Thanks to Nicolas Boulenguez.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 20 Mar 2021 18:09:04 -0700

u-boot (2021.04~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate. Fixes CVE-2021-27097 and
    CVE-2021-27138. (Closes: #983270, #983269)
  * Disable tests for FIT images

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 12 Mar 2021 16:22:35 -0800

u-boot (2021.01+dfsg-5) unstable; urgency=medium

  * debian/patches: Fix boot failure caused by efi loader switching to
    non-secure mode too early. Thanks to Bastian Germann and Heinrich
    Schuchardt. (Closes: #988217)

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 22 May 2021 21:32:45 -0700

u-boot (2021.01+dfsg-4ubuntu3) impish; urgency=medium

  * Implement u-boot-sifive.postinst to upgrade u-boot in loader1/loader2
    partitions upon package upgrades. LP: #1936370

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 15 Jul 2021 13:01:50 +0100

u-boot (2021.01+dfsg-4ubuntu2) impish; urgency=medium

  * Revert '* debian/rules: Ensure debugging symbols are enabled.' as it
    breaks riscv64 booting.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Jun 2021 16:52:03 +0100

u-boot (2021.01+dfsg-4ubuntu1) impish; urgency=medium

  * Merge from Debian unstable (LP: #1928777). Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Enable u-boot spl for unleashed.
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
    - Import meta-sifive u-boot patches.
    - Enable sifive_hifive_unmatched_fu740 target.
    - Build-depend on opensbi with fu740 errata fix.
    - Set default FDT files for the sifive boards.
    - Set USE_PREBOOT on unmatched board too (just like unleashed & qemu),
      otherwise u-boot's fdtfile from itb is not used (i.e. when extlinux.conf
      does not specify fdtdir). LP: #1923162
    - Unapply unmatched patches, whilst building unleashed platform. Fixes
      failure to boot from sd-card on Unleashed. LP: #1924761
    - Skip processing fdtdir on qemu-riscv64_smode target, as it crashes the
      riscv qemu VM. LP: #1925267 LP: #1923162
    - sifive-unleashed-default-fdt-files.patch: split into unleashed &
      unmatched separate patches, for ease of upstreaming to meta-sifive and
      u-boot upstreams. Also this ensures that unleashed target is built with
      fdtfile= set, as unleashed target unapplies lots of patches.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 18 May 2021 11:07:17 +0100

u-boot (2021.01+dfsg-4) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * Add support for the pinetab platform (Closes: #982982)
  * u-boot-install-sunxi: fix device tree model for PinePhone 1.1
    (Closes: #984704)

  [ Vagrant Cascadian ]
  * debian/patches: Update PineTab patch use default bootdelay.
  * debian/patches: Add Forwarded link to PineTab patch.
  * debian/rules: Ensure debugging symbols are enabled.
  * debian/rules: Pass argument to remove build path from debug symbols.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 12 Mar 2021 15:00:43 -0800

u-boot (2021.01+dfsg-3ubuntu9) hirsute; urgency=medium

  * sifive-unleashed-default-fdt-files.patch: split into unleashed &
    unmatched separate patches, for ease of upstreaming to meta-sifive and
    u-boot upstreams. Also this ensures that unleashed target is built
    with fdtfile= set, as unleashed target unapplies lots of patches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Apr 2021 18:05:00 +0100

u-boot (2021.01+dfsg-3ubuntu8) hirsute; urgency=medium

  * Skip processing fdtdir on qemu-riscv64_smode target, as it crashes the
    riscv qemu VM. LP: #1925267 LP: #1923162

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Apr 2021 01:25:13 +0100

u-boot (2021.01+dfsg-3ubuntu7) hirsute; urgency=medium

  * Unapply unmatched patches, whilst building unleashed platform. Fixes
    failure to boot from sd-card on Unleashed. LP: #1924761

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 16 Apr 2021 14:07:49 +0100

u-boot (2021.01+dfsg-3ubuntu6) hirsute; urgency=medium

  * Set USE_PREBOOT on unmatched board too (just like unleashed & qemu),
    otherwise u-boot's fdtfile from itb is not used (i.e. when
    extlinux.conf does not specify fdtdir). LP: #1923162

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 13 Apr 2021 14:52:32 +0100

u-boot (2021.01+dfsg-3ubuntu5) hirsute; urgency=medium

  * Set default FDT files for the sifive boards.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Mar 2021 18:03:09 +0000

u-boot (2021.01+dfsg-3ubuntu4) hirsute; urgency=medium

  * Update patch for unmatched.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Mar 2021 21:26:35 +0000

u-boot (2021.01+dfsg-3ubuntu3) hirsute; urgency=medium

  * Update patches for unmatched.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Mar 2021 16:29:23 +0000

u-boot (2021.01+dfsg-3ubuntu2) hirsute; urgency=medium

  * Import meta-sifive u-boot patches.
  * Enable sifive_hifive_unmatched_fu740 target.
  * Build-depend on opensbi with fu740 errata fix.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Mar 2021 12:27:57 +0000

u-boot (2021.01+dfsg-3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Enable u-boot spl for unleashed.
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env

 -- Dave Jones <dave.jones@canonical.com>  Wed, 10 Mar 2021 12:02:04 +0000 

u-boot (2021.01+dfsg-3) unstable; urgency=medium

  [ Domenico Andreoli ]
  * u-boot-install-sunxi: Add support for some armhf

  [ Vagrant Cascadian ]
  * debian/watch: Fix missing "/".

  [ Andreas B. Mundt ]
  * Update u-boot-install-sunxi: Add Olimex A20-OLinuXino-LIME2-eMMC

  [ harry88@gmx.ph ]
  * u-boot-install-sunxi: Avoid overriding files in current directory
    (Closes: #982278)

  [ Nicolas Boulenguez ]
  * Enable version 1.1 of the pinephone (Closes: #982981)

  [ Vagrant Cascadian ]
  * u-boot-install-sunxi: Make installing .itb files optional.
  * u-boot-install-sunxi: Add support for armhf targets: Banana Pi
    BPI-M2-Ultra Banana Pi BPI-M3 Banana Pi M2 Berry Cubietech Cubieboard
    Cubietech Cubieboard2 Cubietech Cubieboard4 Cubietech Cubietruck
    Cubietech Cubietruck Plus FriendlyARM NanoPi NEO Air Lamobo R1 LeMaker
    Banana Pi LeMaker Banana Pro LinkSprite pcDuino LinkSprite pcDuino3
    Olimex A10-OLinuXino-LIME Olimex A10s-Olinuxino Micro Olimex
    A20-Olimex-SOM-EVB Olimex A20-OLinuXino-LIME Olimex A20-Olinuxino
    Micro PineRiver Mini X-Plus Xunlong Orange Pi Plus / Plus 2 Xunlong
    Orange Pi Zero

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 01 Mar 2021 00:00:18 -0800

u-boot (2021.01+dfsg-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - Enable FIT signing support
      - Limit key names to keys within the keydir.
    - Enable Ubuntu support for the Nitrogen6x board
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one
    - Enable u-boot spl for unleashed.
    - Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
    - Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support
    - Add d/p/rpi-maxargs.patch for new Core 18 boot-env
  * Dropped changes, included in Debian:
    - Enable FIT signing support
      - Enable CONFIG_FIT_SIGNATURE so we can sign FIT images.
      - Add libssl-dev to Build-Depends: to enable crypto functionality.
  * Dropped changes, no longer needed:
    - Added d/u-boot-rpi.postinst to install u-boot binaries
      (previously unnoted)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 18 Feb 2021 18:15:04 +0000

u-boot (2021.01+dfsg-2) unstable; urgency=medium

  * debian/patches: Disable USE_PREBOOT on rockpro64 and pinebook-pro to
    workaround boot failure triggered by USB initialization.
    (Closes: #973323, #980434)

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 21 Jan 2021 20:36:56 -0800

u-boot (2021.01+dfsg-1) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Fix pinephone platform name in u-boot-install-sunxi64.
    (Closes: #979484)
  * Insert an empty line in target list for consistency. (Closes: #979485)
  * Simplify installation of a link for tegra on arm64 but not armhf
    (Closes: #979486)
  * Install examples for tools with dh_installexamples instead of
    dh_install. (Closes: #979295)
  * Install docs with dh_installdocs instead of dh_install
    (Closes: #979295)

  [ Vagrant Cascadian ]
  * u-boot-install-sunxi64: Drop unused code handling ATF.
  * Rename u-boot-install-sunxi64 to u-boot-install-sunxi. Thanks to
    Nicolas Boulenguez. (Closes: #979487)

  [ Nicolas Boulenguez ]
  * Update references to renamed u-boot-install-sunxi64
  * Prefer dh_installdocs to dh_install for tools too (Closes: #979648).
  * Remove obsolete maketargets variable (Closes: #979652).
  * Do not spend time searching for an install target in
    Makefile. (Closes: #979650)
  * Prefer dh_auto_build to explicit recursive $(MAKE) (Closes: #979654)
  * Clarify scope of TOOLSDIR in debian/rules (Closes: #979658).
  * Make decision about testing tools more explicit (Closes: #979660).
  * Pass BL31 to puma-rk3399 (Closes: #979482).

  [ Vagrant Cascadian ]
  * debian/rules: Unset BL31 to avoid using a value from a different
    platform. Thanks to Nicolas Boulenguez.  (Closes: #979482)
  * u-boot-rockchip: puma-rk3399: install u-boot.itb.
  * u-boot-install-rockchip: Add support for "Theobroma Systems RK3399-Q7
    SoM" using the "puma-rk3399" target.

  [ Nicolas Boulenguez ]
  * Let dh_strip strip tools (Closes: #980234).
  * Remove obsolete dh_strip override (Closes: #980235).
  * Clean python cache (Closes: #980237).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 16 Jan 2021 19:50:13 -0800

u-boot (2021.01~rc4+dfsg-2) experimental; urgency=medium

  * debian/targets: Use correct name for "pinephone" target. Fixes FTBFS.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 05 Jan 2021 17:51:36 -0800

u-boot (2021.01~rc4+dfsg-1) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Refresh patches for v2021.01-rc3 (Closes: #976320).

  [ Vagrant Cascadian ]
  * debian/patches: Remove obsolete teres-i patch.
  * debian/control: Add Build-Depends on python3-pkg-resources.

  [ Nicolas Boulenguez ]
  * Add support for pinephone-1.2. (Closes: #976319)

  [ Vagrant Cascadian ]
  * debian/control: Update Build-Depends on arm-trusted-firmware.
  * [arm64] u-boot-sunxi: Add orangepi_one_plus target. Thanks to harry88.
    (Closes: #979216)
  * [arm64] u-boot-amlogic: Add odroid-n2 target. Thanks to Reco.
    (Closes: #973256)
  * u-boot-sunxi: Do not install mksunxi_fit_atf, removed upstream.
  * u-boot-install-sunxi64: Drop support for using a FIT generator, just
    use the images generated at build time.
  * u-boot-install-sunxi64: Add support for OrangePi One Plus.
  * debian/rules: Disable use of SCP firmware for sunxi platforms.
  * u-boot-install-sunxi64: Add support for new .itb filenames.
  * debian/targets: Update to use new .itb filename for sunxi systems.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 05 Jan 2021 10:17:01 -0800

u-boot (2020.10+dfsg-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/patches: Enable ethernet on A20-OLinuXino-Lime2-eMMC.
    (Closes: #916822).  Thanks to Jonas Smedegaard.
  * debian/patches: Fix keyboard on Teres-I (Closes: #935035).  Thanks to
    Jonas Smedegaard.

  [ Nicolas Boulenguez ]
  * Update Homepage and uscan configuration (Closes: #976317).
  * Drop obsolete version restriction in Build-Depends (Closes: #976316).
  * Change behaviour of debian/bin/u-boot-install-* for an unknown device
    tree (Closes: #976315)
  * Use specific dh_installman instead of dh_install (Closes: #976318).
  * Simplify debian/u-boot-tools.install (Closes: #976318).
  * In debian/rules, add prerequisite configs/*_defconfig
    (Closes: #976318)

  [ Vagrant Cascadian ]
  * u-boot-qemu: Ship u-boot.rom for the qemu-x86_64 and qemu-x86
    targets. Thanks to Faidon Liambotis. (Closes: #979107)
  * debian/control: Update Standards-Version to 4.5.1.
  * debian/control: Update Build-Depends on lzop.

  [ Luca Boccassi ]
  * Build u-boot-tools with signature support with OpenSSL.
    (Closes: #972513)

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 04 Jan 2021 19:59:11 -0800

u-boot (2020.10+dfsg-1ubuntu6) hirsute; urgency=medium

  * Add d/p/rpi-8gb-pci.patch for Pi400 and Pi4-8Gb support (LP: #1906552)
  * Add d/p/rpi-cm4-sdhci.patch for CM4 eMMC support
  * Add d/p/rpi-maxargs.patch for new Core 18 boot-env (LP: #1910094)
  * Remove redundant d/targets entries

 -- Dave Jones <dave.jones@canonical.com>  Thu, 10 Dec 2020 23:44:09 +0000

u-boot (2020.10+dfsg-1ubuntu5) hirsute; urgency=medium

  * Use flat binary rather than ELF OpenSBI; U-Boot SPL doesn't support ELF.
  * Switch back to generic OpenSBI, as modern versions detect the platform.

 -- William Grant <wgrant@ubuntu.com>  Mon, 21 Dec 2020 10:32:59 +1100

u-boot (2020.10+dfsg-1ubuntu4) hirsute; urgency=medium

  * Use the right opensbi fw_dynamic for fu540.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2020 09:04:00 +0000

u-boot (2020.10+dfsg-1ubuntu3) hirsute; urgency=medium

  * Enable u-boot spl for unleashed. LP: #1905274

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Nov 2020 12:51:03 +0000

u-boot (2020.10+dfsg-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:38:58 +0100

u-boot (2020.10+dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable Ubuntu support for the Nitrogen6x board (LP: #1838064)
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - Enable FIT signing support (LP: #1831942)
      - Enable CONFIG_FIT_SIGNATURE so we can sign FIT images.
      - Add libssl-dev to Build-Depends: to enable crypto functionality.
      - Limit key names to keys within the keydir.
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one

  * Removed obsolete patches/changes:
    - d/p/lzo-to-lzno.patch: use gzip instead of lzo compression for FIT
      images as lzop in Ubuntu is in universe. This should be temporary and in
      the next releases ideally we should follow what Debian does.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 06 Oct 2020 03:18:18 +0000

u-boot (2020.10+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Oct 2020 12:13:28 -0700

u-boot (2020.10~rc5+dfsg-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * New upstream release candidate.
  * debian/control: u-boot-qemu: Set Multi-Arch: foreign.

  [ Uwe Kleine-König ]
  * control: Use https for upstream homepage

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 21 Sep 2020 20:55:36 -0700

u-boot (2020.10~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches: Refresh and remove obsolete patches.
  * [armhf] u-boot-sunxi: Add Bananapi_M2_Ultra (Closes: #962931). Thanks
    to Bernhard Wörner.
  * [arm64] u-boot-rockchip: Update rock-pi-4 .dtb names.
  * u-boot-qemu: Build firmware for qemu ppc e500 (Closes: #966624).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 29 Aug 2020 16:04:17 -0700

u-boot (2020.07+dfsg-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * u-boot-install-rockchip: Update with additional RockPro64 names from
    linux 5.7 device-trees.

  [ Denis Pynkin ]
  * u-boot-rpi: Add rpi_arm64 target for arm64 (Closes: #966078).

  [ Vagrant Cascadian ]
  * debian/patches: Fix reproducibility of mx6cuboxi target.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 28 Aug 2020 16:35:40 -0700

u-boot (2020.07+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * [armhf] u-boot-omap: Drop omap3_pandora, removed upstream.
  * [arm64] u-boot-amlogic: Install new board-specific documentation.
  * debian/patches: Fix riscv64 support for extlinux.
  * debian/control:
    - Upgrade to debhelper compat 13.
    - Update Build-Depends on arm-trusted-firmware.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Jul 2020 16:29:02 -0700

u-boot (2020.07~rc4+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches:
    - Remove pinebook-pro patches, applied upstream.
    - Remove riscv64 patches, applied upstream.
  * u-boot-rockchip: Update puma-rk3399 to include new
    rk3399-puma-haikou.dtb file.
  * Update lintian overrides to use "shared-library-lacks-prerequisites"
    instead of older tag name.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 09 Jun 2020 18:48:06 -0700

u-boot (2020.07~rc3+dfsg-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * u-boot-rpi: Enable rpi4 target on armhf and arm64 (Closes: #958668)

  [ Vagrant Cascadian ]
  * New upstream release candidate.
  * debian/patches: Refresh n900 patch.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 04 Jun 2020 09:47:49 -0700

u-boot (2020.07~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches: Refresh.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 18 May 2020 17:16:07 -0700

u-boot (2020.04+dfsg-2ubuntu1) groovy; urgency=medium

  * Merge with 2020.04+dfsg-2 from Debian unstable. Remaining changes:
    - Enable Ubuntu support for the Nitrogen6x board (LP: #1838064)
      - Add d/p/ubuntu-nitrogen6q2g-config-tweaks.patch to tweak the
        nitrogen6q2g configs to better fit our Ubuntu usage.
      - Start building the nitrogen6x2g target for u-boot.
    - Enable FIT signing support (LP: #1831942)
      - Enable CONFIG_FIT_SIGNATURE so we can sign FIT images.
      - Add libssl-dev to Build-Depends: to enable crypto functionality.
      - Limit key names to keys within the keydir.
    - d/p/rpi-config-tweaks.patch: Configuration adjustments to the RPi
      configs
    - d/p/lzo-to-lzno.patch: use gzip instead of lzo compression for FIT
      images as lzop in Ubuntu is in universe. This should be temporary and in
      the next releases ideally we should follow what Debian does.
    - d/p/rpi-board-dt.patch: use the board's device-tree instead of an
      embedded one

  * Removed obsolete patches/changes:
    - Handle differing root partition labels during migration
    - Add script to migrate old boot configurations to split, selective style
    - Don't attempt config migration when /boot/firmware is a chroot
    - Use vc4-fkms-v3d overlay on all models of Raspberry Pi
    - Do not include the vc4-fkms-v3d overlay; this breaks book on the 3A+
    - Ensure boot.scr is from recent flash-kernel
    - d/p/rpi-import-mkknlimg.patch import tools/mkknlimg from Xenial/raspi2 -
      scripts/mkknlimg @ 83a3ebb
    - Remove redundant d/p/rpi-import-mkknlimg.patch
    - d/p/ubuntu-nitrogen6q2g-temporary-config-fixup.patch:
      Fix bad CRC issue. The env size and redundant environment config
      variables have not yet been migrated to Kconfig, so setting them in
      _defconfig has no effect. Set those manually.

  * Removed patches obsoleted/merged by upstream:
    - Use python2 for the build.
    - Added d/p/python2.patch to fix-up remaining scripts still using bare
      "python"
    - d/p/am57xx/omap5_distro_bootcmd
    - Correct odroid README paths
    - Add d/p/rpi4.patch to support Raspberry Pi 4 boot
    - Avoid device-tree memory fixup on Raspberry Pi 4; this allows access to
      the all the RAM on models with more than 1Gb
    - Add missing build dependency on arm/arm64

 -- Dave Jones <dave.jones@canonical.com>  Sat, 16 May 2020 01:02:53 +0000

u-boot (2020.04+dfsg-2) unstable; urgency=medium

  * debian/patches:
    - Remove dreamplug cache patch, fixed upstream.
    - Add patches submitted upstream to support pinebook pro.
  * u-boot-rockchip:
    - Add support for rockpro64-rk3399.
    - Add support for pinebook-pro-rk3399.
    - Add u-boot-install-rockchip helper script.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 20 Apr 2020 19:34:37 -0700

u-boot (2020.04+dfsg-1) unstable; urgency=medium

  * New upstream release.

  [ Vagrant Cascadian ]
  * Update upstream signing key.
  * [arm64] Build arm-trusted-firmware into rockchip/sunxi systems.
  * [arm64] u-boot-sunxi: Add a64-olinuxino-emmc target Thanks to Philip
    Rinn. (Closes: #956394).

  [ Walter Lozano ]
  * debian/targets: Add support for rock-pi-4-rk3399
  * debian/targets: Add target idbloader.img for rk3399 boards

  [ Vagrant Cascadian ]
  * debian/control: Add versioned Build-Depends on arm-trusted-firmware
    for rk3399 support.
  * debian/targets: Add idbloader.img for all rockchip platforms.
  * u-boot-rockchip: Update README.Debian.
  * Remove debian/bin/generate-rksd.
  * u-boot-rockchip: firefly-rk3288: Also install u-boot.img.
  * [arm64] u-boot-rockchip, u-boot-sunxi: Add Built-Using
    arm-trusted-firmware.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 14 Apr 2020 17:24:39 -0700

u-boot (2020.04~rc5+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches:
    - Remove patch fixing video on pinebook, fixed upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 07 Apr 2020 08:50:37 -0700

u-boot (2020.04~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/patches:
    - riscv64: refresh qemu-riscv64 extlinux patch.
    - exynos: Refresh patch fixing console.
    - Drop patches applied upstream.
  * debian/rules: Disable CONFIG_FIT_SIGNATURE in all targets, as it
    requires openssl which introduces license incompatibilities with the
    GPL.
  * u-boot-rockchip: Update firefly-rk3288 instructions.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 13 Feb 2020 00:17:14 -0800

u-boot (2020.01+dfsg-2) unstable; urgency=medium

  * debian/patches:
    - Fix video output on pinebook (Closes: #948753).
    - Fix exynos5 board detection (Closes: #951195). Thanks to Jochen
      Sprickerhof!
    - Fix MMC on odroid U3. (Closes: #950293)
    - Improve error handling with GPT renames. Fixes CVE-2020-8432.
  * debian/control: Update Standards-Version to 4.5.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 12 Feb 2020 22:29:38 -0800

u-boot (2020.01+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Do not call qcom wrapper script.
  * debian/control: Drop Build-Depends on "skales", removed from testing.
  * u-boot-rockchip: Use python3 in rockchip_make_fit_atf.
  * generate-rksd: Only generate SPL rksd on targets not using TPL.
  * Add build profile pkg.uboot.subarch.* to build only subsets of
    packages.
  * [arm64] u-boot-rockchip: Add arm-trusted-firmware and u-boot-tools to
    Recommends.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Jan 2020 00:19:44 -0800

u-boot (2020.01~rc5+dfsg-1) experimental; urgency=medium

  * New upstream release candidate (Closes: #941231).
  * debian/control: Update Build-Depends to use python3 and
    libpython3-dev, add python3-distutils (Closes: #938739).
  * [armhf] u-boot-imx: install u-boot-dtb.imx on mx6qsabrelite and
    nitrogen6q.
  * debian/patches:
    - Remove mx6/Revert-spl-imx6-Let-spl_boot_device-return-USDHC1-or,
      applied upstream.
    - Refresh riscv64/qemu-riscv64_smode-sifive-fu540-fix-extlinux.
    - Remove mx6/arm-Set-SYS_DCACHE_OFF-for-MX6-platforms, it was an ugly
      workaround.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 17 Dec 2019 17:23:23 -0800

u-boot (2019.10+dfsg-1) experimental; urgency=medium

  * u-boot-sifive: Install new fu540 documentation.
  * debian/patches:
    - Add qemu-riscv64_smode-sifive-fu540-fix-extlinux-define to fix
      extlinux support on riscv64 targets.
    - Drop qemu-riscv64-raw-initrd, it is redundant due to
      DISTRO_DEFAULTS=y.
    - Disable dcache on MX6 platforms.
    - Add patch to revert changes to imx6 MMC boot device order.
  * debian/control:
    - Set Rules-Requires-Root: no.
    - Update Standards-Version to 4.1.1, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 17 Oct 2019 12:23:42 -0700

u-boot (2019.10~rc4+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * u-boot-rockchip: Add rock64-rk3328 target.
  * u-boot-rockchip: Install rockchip_make_fit_atf and Recommend python3.
  * generate-rksd: Add support for rk3328 and TPL images.
  * debian/patches:
    - Update ensure-config-sandbox-for-make-env.
    - Update qemu-riscv64-raw-initrd for.
    - Add description and forwarded links for qemu-riscv64-raw-initrd.
  * u-boot-qemu: Drop support for qemu_mips, qemu_mipsel and
    qemu_mips64el as the cross compilers are no longer available.
  * u-boot-tools:
    - Remove fw_printenv and fw_setenv and Recommend libubootenv-tool.
      (Closes: #939598)
    - Update package description.
  * README.Debian: Drop references to fw_setenv and fw_printenv.
  * debian/control:
    - [arm64] Drop Build-Depends on python-pyelftools; no longer needed
      for fit image creation.
    - Update Standards-Version to 4.4.0, no changes needed.
    - Update to debhelper-compat 12.
  * debian/copyright: Drop stanza and license for pcmcia; code was
    removed.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 24 Sep 2019 01:03:23 -0700

u-boot (2019.07+dfsg-1ubuntu6) focal; urgency=medium

  [ Ethan Hsieh ]
  * d/p/ubuntu-nitrogen6q2g-temporary-config-fixup.patch:
    Fix bad CRC issue. The env size and redundant environment config variables
    have not yet been migrated to Kconfig, so setting them in _defconfig has
    no effect. Set those manually.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 11 Feb 2020 11:43:57 +0100

u-boot (2019.07+dfsg-1ubuntu5) focal; urgency=medium

  [ Matthias Klose ]
  * Use python2 for the build.

  [ Dave Jones ]
  * Added d/p/python2.patch to fix-up remaining scripts still using bare
    "python"

 -- Dave Jones <dave.jones@canonical.com>  Fri, 24 Jan 2020 11:29:15 +0000

u-boot (2019.07+dfsg-1ubuntu4) focal; urgency=medium

  * Do not include the vc4-fkms-v3d overlay; this breaks book on the 3A+
    (LP: #1848247)
  * Handle differing root partition labels during migration
  * Ensure boot.scr is from recent flash-kernel

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Jan 2020 13:31:35 +0000

u-boot (2019.07+dfsg-1ubuntu3) eoan; urgency=medium

  * Avoid device-tree memory fixup on Raspberry Pi 4; this allows access to
    the all the RAM on models with more than 1Gb (LP: #1847500)

 -- Dave Jones <dave.jones@canonical.com>  Sat, 12 Oct 2019 01:02:29 +0100

u-boot (2019.07+dfsg-1ubuntu2) eoan; urgency=medium

  * Don't attempt config migration when /boot/firmware is a chroot
  * Use vc4-fkms-v3d overlay on all models of Raspberry Pi

 -- Dave Jones <dave.jones@canonical.com>  Wed, 09 Oct 2019 12:35:06 +0100

u-boot (2019.07+dfsg-1ubuntu1) eoan; urgency=medium

  * New upstream release to support Pi 4 boot (LP: #1846329)
  * Removed patches applied upstream:
    - d/p/dreamplug/Commit-ARM-CPU-arm926ejs-Consolidate-cache-routines-.patch
    - d/p/mkimage/0001-fdt-Fix-mkimage-list-to-try-every-header-type.patch
    - d/p/sunxi/teres-i.patch
  * Updated patch:
    - d/p/am57xx/omap5_distro_bootcmd
  * Add missing build dependency on arm/arm64
  * Correct odroid README paths
  * Add d/p/rpi4.patch to support Raspberry Pi 4 boot
  * Remove redundant d/p/rpi-import-mkknlimg.patch
  * Add script to migrate old boot configurations to split, selective style
  * Use the board's device-tree instead of an embedded one

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 Jul 2019 10:02:04 +0000

u-boot (2019.07+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Add support for nanopi_neo_plus2. Thanks to Steev Klimaszewski.
  * Add support for nanopi_neo_air (Closes: #930013). Thanks to Philip
    Hands and Domenico Andreoli.
  * debian/control: [arm64] Add python-pyelftools to Build-Depends.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 08 Jul 2019 16:41:40 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog u-boot-tools`.
